source: squid-ssl/trunk/fuentes/src/ssl/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 46.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94EXTRA_PROGRAMS = ssl_crtd$(EXEEXT)
95libexec_PROGRAMS = $(am__EXEEXT_1)
96subdir = src/ssl
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163LTLIBRARIES = $(noinst_LTLIBRARIES)
164libsslsquid_la_LIBADD =
165am_libsslsquid_la_OBJECTS = bio.lo cert_validate_message.lo \
166        context_storage.lo Config.lo ErrorDetail.lo \
167        ErrorDetailManager.lo PeerConnector.lo ServerBump.lo \
168        support.lo helper.lo
169libsslsquid_la_OBJECTS = $(am_libsslsquid_la_OBJECTS)
170AM_V_lt = $(am__v_lt_@AM_V@)
171am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
172am__v_lt_0 = --silent
173am__v_lt_1 =
174libsslutil_la_LIBADD =
175am_libsslutil_la_OBJECTS = gadgets.lo crtd_message.lo
176libsslutil_la_OBJECTS = $(am_libsslutil_la_OBJECTS)
177@USE_SSL_CRTD_TRUE@am__EXEEXT_1 = ssl_crtd$(EXEEXT)
178am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
179PROGRAMS = $(libexec_PROGRAMS)
180am__ssl_crtd_SOURCES_DIST = ssl_crtd.cc certificate_db.cc \
181        certificate_db.h
182@USE_SSL_CRTD_TRUE@am_ssl_crtd_OBJECTS = ssl_crtd.$(OBJEXT) \
183@USE_SSL_CRTD_TRUE@     certificate_db.$(OBJEXT)
184ssl_crtd_OBJECTS = $(am_ssl_crtd_OBJECTS)
185am__DEPENDENCIES_1 =
186@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
187am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
188        $(am__DEPENDENCIES_2)
189@USE_SSL_CRTD_TRUE@ssl_crtd_DEPENDENCIES = libsslutil.la \
190@USE_SSL_CRTD_TRUE@     $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_3)
191AM_V_P = $(am__v_P_@AM_V@)
192am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
193am__v_P_0 = false
194am__v_P_1 = :
195AM_V_GEN = $(am__v_GEN_@AM_V@)
196am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
197am__v_GEN_0 = @echo "  GEN     " $@;
198am__v_GEN_1 =
199AM_V_at = $(am__v_at_@AM_V@)
200am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
201am__v_at_0 = @
202am__v_at_1 =
203DEFAULT_INCLUDES =
204depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
205am__depfiles_maybe = depfiles
206am__mv = mv -f
207CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
208        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
209LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
211        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212        $(AM_CXXFLAGS) $(CXXFLAGS)
213AM_V_CXX = $(am__v_CXX_@AM_V@)
214am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
215am__v_CXX_0 = @echo "  CXX     " $@;
216am__v_CXX_1 =
217CXXLD = $(CXX)
218CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
220        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
222am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
223am__v_CXXLD_0 = @echo "  CXXLD   " $@;
224am__v_CXXLD_1 =
225COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
226        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
227LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
229        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230        $(AM_CFLAGS) $(CFLAGS)
231AM_V_CC = $(am__v_CC_@AM_V@)
232am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
233am__v_CC_0 = @echo "  CC      " $@;
234am__v_CC_1 =
235CCLD = $(CC)
236LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
237        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
238        $(AM_LDFLAGS) $(LDFLAGS) -o $@
239AM_V_CCLD = $(am__v_CCLD_@AM_V@)
240am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
241am__v_CCLD_0 = @echo "  CCLD    " $@;
242am__v_CCLD_1 =
243SOURCES = $(libsslsquid_la_SOURCES) $(libsslutil_la_SOURCES) \
244        $(ssl_crtd_SOURCES)
245DIST_SOURCES = $(libsslsquid_la_SOURCES) $(libsslutil_la_SOURCES) \
246        $(am__ssl_crtd_SOURCES_DIST)
247am__can_run_installinfo = \
248  case $$AM_UPDATE_INFO_DIR in \
249    n|no|NO) false;; \
250    *) (install-info --version) >/dev/null 2>&1;; \
251  esac
252am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
253am__vpath_adj = case $$p in \
254    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
255    *) f=$$p;; \
256  esac;
257am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
258am__install_max = 40
259am__nobase_strip_setup = \
260  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
261am__nobase_strip = \
262  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
263am__nobase_list = $(am__nobase_strip_setup); \
264  for p in $$list; do echo "$$p $$p"; done | \
265  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
266  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
267    if (++n[$$2] == $(am__install_max)) \
268      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
269    END { for (dir in files) print dir, files[dir] }'
270am__base_list = \
271  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
272  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
273am__uninstall_files_from_dir = { \
274  test -z "$$files" \
275    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
276    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
277         $(am__cd) "$$dir" && rm -f $$files; }; \
278  }
279man8dir = $(mandir)/man8
280NROFF = nroff
281MANS = $(man_MANS)
282am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
283# Read a list of newline-separated strings from the standard input,
284# and print each of them once, without duplicates.  Input order is
285# *not* preserved.
286am__uniquify_input = $(AWK) '\
287  BEGIN { nonempty = 0; } \
288  { items[$$0] = 1; nonempty = 1; } \
289  END { if (nonempty) { for (i in items) print i; }; } \
290'
291# Make sure the list of sources is unique.  This is necessary because,
292# e.g., the same source file might be shared among _SOURCES variables
293# for different programs/libraries.
294am__define_uniq_tagged_files = \
295  list='$(am__tagged_files)'; \
296  unique=`for i in $$list; do \
297    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
298  done | $(am__uniquify_input)`
299ETAGS = etags
300CTAGS = ctags
301am__tty_colors_dummy = \
302  mgn= red= grn= lgn= blu= brg= std=; \
303  am__color_tests=no
304am__tty_colors = { \
305  $(am__tty_colors_dummy); \
306  if test "X$(AM_COLOR_TESTS)" = Xno; then \
307    am__color_tests=no; \
308  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
309    am__color_tests=yes; \
310  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
311    am__color_tests=yes; \
312  fi; \
313  if test $$am__color_tests = yes; then \
314    red='[0;31m'; \
315    grn='[0;32m'; \
316    lgn='[1;32m'; \
317    blu='[1;34m'; \
318    mgn='[0;35m'; \
319    brg='[1m'; \
320    std='[m'; \
321  fi; \
322}
323am__recheck_rx = ^[     ]*:recheck:[    ]*
324am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
325am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
326# A command that, given a newline-separated list of test names on the
327# standard input, print the name of the tests that are to be re-run
328# upon "make recheck".
329am__list_recheck_tests = $(AWK) '{ \
330  recheck = 1; \
331  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
332    { \
333      if (rc < 0) \
334        { \
335          if ((getline line2 < ($$0 ".log")) < 0) \
336            recheck = 0; \
337          break; \
338        } \
339      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
340        { \
341          recheck = 0; \
342          break; \
343        } \
344      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
345        { \
346          break; \
347        } \
348    }; \
349  if (recheck) \
350    print $$0; \
351  close ($$0 ".trs"); \
352  close ($$0 ".log"); \
353}'
354# A command that, given a newline-separated list of test names on the
355# standard input, create the global log from their .trs and .log files.
356am__create_global_log = $(AWK) ' \
357function fatal(msg) \
358{ \
359  print "fatal: making $@: " msg | "cat >&2"; \
360  exit 1; \
361} \
362function rst_section(header) \
363{ \
364  print header; \
365  len = length(header); \
366  for (i = 1; i <= len; i = i + 1) \
367    printf "="; \
368  printf "\n\n"; \
369} \
370{ \
371  copy_in_global_log = 1; \
372  global_test_result = "RUN"; \
373  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
374    { \
375      if (rc < 0) \
376         fatal("failed to read from " $$0 ".trs"); \
377      if (line ~ /$(am__global_test_result_rx)/) \
378        { \
379          sub("$(am__global_test_result_rx)", "", line); \
380          sub("[        ]*$$", "", line); \
381          global_test_result = line; \
382        } \
383      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
384        copy_in_global_log = 0; \
385    }; \
386  if (copy_in_global_log) \
387    { \
388      rst_section(global_test_result ": " $$0); \
389      while ((rc = (getline line < ($$0 ".log"))) != 0) \
390      { \
391        if (rc < 0) \
392          fatal("failed to read from " $$0 ".log"); \
393        print line; \
394      }; \
395      printf "\n"; \
396    }; \
397  close ($$0 ".trs"); \
398  close ($$0 ".log"); \
399}'
400# Restructured Text title.
401am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
402# Solaris 10 'make', and several other traditional 'make' implementations,
403# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
404# by disabling -e (using the XSI extension "set +e") if it's set.
405am__sh_e_setup = case $$- in *e*) set +e;; esac
406# Default flags passed to test drivers.
407am__common_driver_flags = \
408  --color-tests "$$am__color_tests" \
409  --enable-hard-errors "$$am__enable_hard_errors" \
410  --expect-failure "$$am__expect_failure"
411# To be inserted before the command running the test.  Creates the
412# directory for the log if needed.  Stores in $dir the directory
413# containing $f, in $tst the test, in $log the log.  Executes the
414# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
415# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
416# will run the test scripts (or their associated LOG_COMPILER, if
417# thy have one).
418am__check_pre = \
419$(am__sh_e_setup);                                      \
420$(am__vpath_adj_setup) $(am__vpath_adj)                 \
421$(am__tty_colors);                                      \
422srcdir=$(srcdir); export srcdir;                        \
423case "$@" in                                            \
424  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
425    *) am__odir=.;;                                     \
426esac;                                                   \
427test "x$$am__odir" = x"." || test -d "$$am__odir"       \
428  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
429if test -f "./$$f"; then dir=./;                        \
430elif test -f "$$f"; then dir=;                          \
431else dir="$(srcdir)/"; fi;                              \
432tst=$$dir$$f; log='$@';                                 \
433if test -n '$(DISABLE_HARD_ERRORS)'; then               \
434  am__enable_hard_errors=no;                            \
435else                                                    \
436  am__enable_hard_errors=yes;                           \
437fi;                                                     \
438case " $(XFAIL_TESTS) " in                              \
439  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
440    am__expect_failure=yes;;                            \
441  *)                                                    \
442    am__expect_failure=no;;                             \
443esac;                                                   \
444$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
445# A shell command to get the names of the tests scripts with any registered
446# extension removed (i.e., equivalently, the names of the test logs, with
447# the '.log' extension removed).  The result is saved in the shell variable
448# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
449# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
450# since that might cause problem with VPATH rewrites for suffix-less tests.
451# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
452am__set_TESTS_bases = \
453  bases='$(TEST_LOGS)'; \
454  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
455  bases=`echo $$bases`
456RECHECK_LOGS = $(TEST_LOGS)
457AM_RECURSIVE_TARGETS = check recheck
458TEST_SUITE_LOG = test-suite.log
459TEST_EXTENSIONS = @EXEEXT@ .test
460LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
461LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
462am__set_b = \
463  case '$@' in \
464    */*) \
465      case '$*' in \
466        */*) b='$*';; \
467          *) b=`echo '$@' | sed 's/\.log$$//'`; \
468       esac;; \
469    *) \
470      b='$*';; \
471  esac
472am__test_logs1 = $(TESTS:=.log)
473am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
474TEST_LOGS = $(am__test_logs2:.test.log=.log)
475TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
476TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
477        $(TEST_LOG_FLAGS)
478am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
479        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
480        $(top_srcdir)/src/TestHeaders.am
481DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
482ACLOCAL = @ACLOCAL@
483ADAPTATION_LIBS = @ADAPTATION_LIBS@
484ALLOCA = @ALLOCA@
485AMTAR = @AMTAR@
486AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
487AR = @AR@
488ARGZ_H = @ARGZ_H@
489AR_R = @AR_R@
490AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
491AUTH_MODULES = @AUTH_MODULES@
492AUTOCONF = @AUTOCONF@
493AUTOHEADER = @AUTOHEADER@
494AUTOMAKE = @AUTOMAKE@
495AWK = @AWK@
496BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
497BUILDCXX = @BUILDCXX@
498BUILDCXXFLAGS = @BUILDCXXFLAGS@
499BZR = @BZR@
500CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
501CC = @CC@
502CCDEPMODE = @CCDEPMODE@
503CFLAGS = @CFLAGS@
504CGIEXT = @CGIEXT@
505CHMOD = @CHMOD@
506CPP = @CPP@
507CPPFLAGS = @CPPFLAGS@
508CPPUNITCONFIG = @CPPUNITCONFIG@
509CRYPTLIB = @CRYPTLIB@
510CXX = @CXX@
511CXXCPP = @CXXCPP@
512CXXDEPMODE = @CXXDEPMODE@
513CXXFLAGS = @CXXFLAGS@
514CYGPATH_W = @CYGPATH_W@
515DEFAULT_HOSTS = @DEFAULT_HOSTS@
516DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
517DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
518DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
519DEFS = @DEFS@
520DEPDIR = @DEPDIR@
521DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
522DISK_LIBS = @DISK_LIBS@
523DISK_LINKOBJS = @DISK_LINKOBJS@
524DISK_MODULES = @DISK_MODULES@
525DISK_OS_LIBS = @DISK_OS_LIBS@
526DISK_PROGRAMS = @DISK_PROGRAMS@
527DLLTOOL = @DLLTOOL@
528DSYMUTIL = @DSYMUTIL@
529DUMPBIN = @DUMPBIN@
530ECAP_LIBS = @ECAP_LIBS@
531ECHO_C = @ECHO_C@
532ECHO_N = @ECHO_N@
533ECHO_T = @ECHO_T@
534EGREP = @EGREP@
535EPOLL_LIBS = @EPOLL_LIBS@
536EUILIB = @EUILIB@
537EXEEXT = @EXEEXT@
538EXPATLIB = @EXPATLIB@
539EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
540EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
541EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
542FALSE = @FALSE@
543FGREP = @FGREP@
544GREP = @GREP@
545HAVE_CXX11 = @HAVE_CXX11@
546ICAP_LIBS = @ICAP_LIBS@
547INCLTDL = @INCLTDL@
548INSTALL = @INSTALL@
549INSTALL_DATA = @INSTALL_DATA@
550INSTALL_PROGRAM = @INSTALL_PROGRAM@
551INSTALL_SCRIPT = @INSTALL_SCRIPT@
552INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
553KRB5INCS = @KRB5INCS@
554KRB5LIBS = @KRB5LIBS@
555LBERLIB = @LBERLIB@
556LD = @LD@
557LDAPLIB = @LDAPLIB@
558LDFLAGS = @LDFLAGS@
559LIBADD_DL = @LIBADD_DL@
560LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
561LIBADD_DLOPEN = @LIBADD_DLOPEN@
562LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
563LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
564LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
565LIBLTDL = @LIBLTDL@
566LIBOBJS = @LIBOBJS@
567LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
568LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
569LIBS = @LIBS@
570LIBSASL = @LIBSASL@
571LIBTOOL = @LIBTOOL@
572LIB_DB = @LIB_DB@
573LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
574LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
575LINUXDOC = @LINUXDOC@
576LIPO = @LIPO@
577LN = @LN@
578LN_S = @LN_S@
579LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
580LTDLDEPS = @LTDLDEPS@
581LTDLINCL = @LTDLINCL@
582LTDLOPEN = @LTDLOPEN@
583LTLIBOBJS = @LTLIBOBJS@
584LT_CONFIG_H = @LT_CONFIG_H@
585LT_DLLOADERS = @LT_DLLOADERS@
586LT_DLPREOPEN = @LT_DLPREOPEN@
587MAINT = @MAINT@
588MAKEINFO = @MAKEINFO@
589MANIFEST_TOOL = @MANIFEST_TOOL@
590MINGW_LIBS = @MINGW_LIBS@
591MKDIR = @MKDIR@
592MKDIR_P = @MKDIR_P@
593MV = @MV@
594NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
595NETTLELIB = @NETTLELIB@
596NM = @NM@
597NMEDIT = @NMEDIT@
598NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
599OBJDUMP = @OBJDUMP@
600OBJEXT = @OBJEXT@
601OTOOL = @OTOOL@
602OTOOL64 = @OTOOL64@
603PACKAGE = @PACKAGE@
604PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
605PACKAGE_NAME = @PACKAGE_NAME@
606PACKAGE_STRING = @PACKAGE_STRING@
607PACKAGE_TARNAME = @PACKAGE_TARNAME@
608PACKAGE_URL = @PACKAGE_URL@
609PACKAGE_VERSION = @PACKAGE_VERSION@
610PATH_SEPARATOR = @PATH_SEPARATOR@
611PERL = @PERL@
612PKG_CONFIG = @PKG_CONFIG@
613PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
614PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
615PO2HTML = @PO2HTML@
616PO2TEXT = @PO2TEXT@
617POD2MAN = @POD2MAN@
618RANLIB = @RANLIB@
619REGEXLIB = @REGEXLIB@
620REPL_LIBS = @REPL_LIBS@
621REPL_OBJS = @REPL_OBJS@
622REPL_POLICIES = @REPL_POLICIES@
623RM = @RM@
624SED = @SED@
625SET_MAKE = @SET_MAKE@
626SH = @SH@
627SHELL = @SHELL@
628SMBCLIENT = @SMBCLIENT@
629SNMPLIB = @SNMPLIB@
630SQUID_CFLAGS = @SQUID_CFLAGS@
631SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
632SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
633SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
634SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
635SSLLIB = @SSLLIB@
636STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
637STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
638STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
639STORE_TESTS = @STORE_TESTS@
640STRIP = @STRIP@
641TR = @TR@
642TRUE = @TRUE@
643URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
644VERSION = @VERSION@
645WBINFO = @WBINFO@
646WIN32_PSAPI = @WIN32_PSAPI@
647XMLLIB = @XMLLIB@
648XTRA_LIBS = @XTRA_LIBS@
649XTRA_OBJS = @XTRA_OBJS@
650abs_builddir = @abs_builddir@
651abs_srcdir = @abs_srcdir@
652abs_top_builddir = @abs_top_builddir@
653abs_top_srcdir = @abs_top_srcdir@
654ac_ct_AR = @ac_ct_AR@
655ac_ct_CC = @ac_ct_CC@
656ac_ct_CXX = @ac_ct_CXX@
657ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
658am__include = @am__include@
659am__leading_dot = @am__leading_dot@
660am__quote = @am__quote@
661am__tar = @am__tar@
662am__untar = @am__untar@
663bindir = @bindir@
664build = @build@
665build_alias = @build_alias@
666build_cpu = @build_cpu@
667build_os = @build_os@
668build_vendor = @build_vendor@
669builddir = @builddir@
670datadir = @datadir@
671datarootdir = @datarootdir@
672docdir = @docdir@
673dvidir = @dvidir@
674exec_prefix = @exec_prefix@
675host = @host@
676host_alias = @host_alias@
677host_cpu = @host_cpu@
678host_os = @host_os@
679host_vendor = @host_vendor@
680htmldir = @htmldir@
681includedir = @includedir@
682infodir = @infodir@
683install_sh = @install_sh@
684krb5_config = @krb5_config@
685libdir = @libdir@
686libexecdir = @libexecdir@
687localedir = @localedir@
688localstatedir = @localstatedir@
689ltdl_LIBOBJS = @ltdl_LIBOBJS@
690ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
691mandir = @mandir@
692mkdir_p = @mkdir_p@
693oldincludedir = @oldincludedir@
694pdfdir = @pdfdir@
695prefix = @prefix@
696program_transform_name = @program_transform_name@
697psdir = @psdir@
698runstatedir = @runstatedir@
699sbindir = @sbindir@
700sharedstatedir = @sharedstatedir@
701srcdir = @srcdir@
702subdirs = @subdirs@
703sys_symbol_underscore = @sys_symbol_underscore@
704sysconfdir = @sysconfdir@
705target_alias = @target_alias@
706top_build_prefix = @top_build_prefix@
707top_builddir = @top_builddir@
708top_srcdir = @top_srcdir@
709AM_CFLAGS = $(SQUID_CFLAGS)
710AM_CXXFLAGS = $(SQUID_CXXFLAGS)
711CLEANFILES = testHeaders
712TESTS = testHeaders
713AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
714        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
715        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
716        $(am__append_1)
717@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
718@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
719COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
720subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
721noinst_LTLIBRARIES = libsslsquid.la libsslutil.la
722EXTRA_DIST = \
723        ssl_crtd.8
724
725@USE_SSL_CRTD_FALSE@SSL_CRTD =
726@USE_SSL_CRTD_TRUE@SSL_CRTD = ssl_crtd
727@USE_SSL_CRTD_TRUE@man_MANS = ssl_crtd.8
728libsslsquid_la_SOURCES = \
729        bio.cc \
730        bio.h \
731        cert_validate_message.cc \
732        cert_validate_message.h \
733        context_storage.cc \
734        context_storage.h \
735        Config.cc \
736        Config.h \
737        ErrorDetail.cc \
738        ErrorDetail.h \
739        ErrorDetailManager.cc \
740        ErrorDetailManager.h \
741        PeerConnector.cc \
742        PeerConnector.h \
743        ProxyCerts.h \
744        ServerBump.cc \
745        ServerBump.h \
746        support.cc \
747        support.h \
748        helper.cc \
749        helper.h
750
751libsslutil_la_SOURCES = \
752        gadgets.cc \
753        gadgets.h \
754        crtd_message.cc \
755        crtd_message.h
756
757@USE_SSL_CRTD_TRUE@ssl_crtd_SOURCES = ssl_crtd.cc certificate_db.cc certificate_db.h
758@USE_SSL_CRTD_TRUE@ssl_crtd_LDADD = libsslutil.la $(SSLLIB) $(COMPAT_LIB)
759all: all-am
760
761.SUFFIXES:
762.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
763$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
764        @for dep in $?; do \
765          case '$(am__configure_deps)' in \
766            *$$dep*) \
767              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
768                && { if test -f $@; then exit 0; else break; fi; }; \
769              exit 1;; \
770          esac; \
771        done; \
772        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/ssl/Makefile'; \
773        $(am__cd) $(top_srcdir) && \
774          $(AUTOMAKE) --foreign src/ssl/Makefile
775Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
776        @case '$?' in \
777          *config.status*) \
778            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
779          *) \
780            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
781            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
782        esac;
783$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
784
785$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
786        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
787
788$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
789        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
790$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
791        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
792$(am__aclocal_m4_deps):
793
794clean-noinstLTLIBRARIES:
795        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
796        @list='$(noinst_LTLIBRARIES)'; \
797        locs=`for p in $$list; do echo $$p; done | \
798              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
799              sort -u`; \
800        test -z "$$locs" || { \
801          echo rm -f $${locs}; \
802          rm -f $${locs}; \
803        }
804
805libsslsquid.la: $(libsslsquid_la_OBJECTS) $(libsslsquid_la_DEPENDENCIES) $(EXTRA_libsslsquid_la_DEPENDENCIES)
806        $(AM_V_CXXLD)$(CXXLINK)  $(libsslsquid_la_OBJECTS) $(libsslsquid_la_LIBADD) $(LIBS)
807
808libsslutil.la: $(libsslutil_la_OBJECTS) $(libsslutil_la_DEPENDENCIES) $(EXTRA_libsslutil_la_DEPENDENCIES)
809        $(AM_V_CXXLD)$(CXXLINK)  $(libsslutil_la_OBJECTS) $(libsslutil_la_LIBADD) $(LIBS)
810
811clean-checkPROGRAMS:
812        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
813        echo " rm -f" $$list; \
814        rm -f $$list || exit $$?; \
815        test -n "$(EXEEXT)" || exit 0; \
816        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
817        echo " rm -f" $$list; \
818        rm -f $$list
819install-libexecPROGRAMS: $(libexec_PROGRAMS)
820        @$(NORMAL_INSTALL)
821        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
822        if test -n "$$list"; then \
823          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
824          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
825        fi; \
826        for p in $$list; do echo "$$p $$p"; done | \
827        sed 's/$(EXEEXT)$$//' | \
828        while read p p1; do if test -f $$p \
829         || test -f $$p1 \
830          ; then echo "$$p"; echo "$$p"; else :; fi; \
831        done | \
832        sed -e 'p;s,.*/,,;n;h' \
833            -e 's|.*|.|' \
834            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
835        sed 'N;N;N;s,\n, ,g' | \
836        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
837          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
838            if ($$2 == $$4) files[d] = files[d] " " $$1; \
839            else { print "f", $$3 "/" $$4, $$1; } } \
840          END { for (d in files) print "f", d, files[d] }' | \
841        while read type dir files; do \
842            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
843            test -z "$$files" || { \
844            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
845            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
846            } \
847        ; done
848
849uninstall-libexecPROGRAMS:
850        @$(NORMAL_UNINSTALL)
851        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
852        files=`for p in $$list; do echo "$$p"; done | \
853          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
854              -e 's/$$/$(EXEEXT)/' \
855        `; \
856        test -n "$$list" || exit 0; \
857        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
858        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
859
860clean-libexecPROGRAMS:
861        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
862        echo " rm -f" $$list; \
863        rm -f $$list || exit $$?; \
864        test -n "$(EXEEXT)" || exit 0; \
865        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
866        echo " rm -f" $$list; \
867        rm -f $$list
868
869ssl_crtd$(EXEEXT): $(ssl_crtd_OBJECTS) $(ssl_crtd_DEPENDENCIES) $(EXTRA_ssl_crtd_DEPENDENCIES)
870        @rm -f ssl_crtd$(EXEEXT)
871        $(AM_V_CXXLD)$(CXXLINK) $(ssl_crtd_OBJECTS) $(ssl_crtd_LDADD) $(LIBS)
872
873mostlyclean-compile:
874        -rm -f *.$(OBJEXT)
875
876distclean-compile:
877        -rm -f *.tab.c
878
879@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
880@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ErrorDetail.Plo@am__quote@
881@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ErrorDetailManager.Plo@am__quote@
882@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PeerConnector.Plo@am__quote@
883@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServerBump.Plo@am__quote@
884@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bio.Plo@am__quote@
885@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cert_validate_message.Plo@am__quote@
886@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/certificate_db.Po@am__quote@
887@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_storage.Plo@am__quote@
888@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crtd_message.Plo@am__quote@
889@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gadgets.Plo@am__quote@
890@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper.Plo@am__quote@
891@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ssl_crtd.Po@am__quote@
892@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support.Plo@am__quote@
893
894.cc.o:
895@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
896@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
897@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
898@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
899@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
900@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
901
902.cc.obj:
903@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
904@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
905@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
906@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
907@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
909
910.cc.lo:
911@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
912@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
913@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
914@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
915@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
916@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
917
918mostlyclean-libtool:
919        -rm -f *.lo
920
921clean-libtool:
922        -rm -rf .libs _libs
923install-man8: $(man_MANS)
924        @$(NORMAL_INSTALL)
925        @list1=''; \
926        list2='$(man_MANS)'; \
927        test -n "$(man8dir)" \
928          && test -n "`echo $$list1$$list2`" \
929          || exit 0; \
930        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
931        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
932        { for i in $$list1; do echo "$$i"; done;  \
933        if test -n "$$list2"; then \
934          for i in $$list2; do echo "$$i"; done \
935            | sed -n '/\.8[a-z]*$$/p'; \
936        fi; \
937        } | while read p; do \
938          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
939          echo "$$d$$p"; echo "$$p"; \
940        done | \
941        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
942              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
943        sed 'N;N;s,\n, ,g' | { \
944        list=; while read file base inst; do \
945          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
946            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
947            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
948          fi; \
949        done; \
950        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
951        while read files; do \
952          test -z "$$files" || { \
953            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
954            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
955        done; }
956
957uninstall-man8:
958        @$(NORMAL_UNINSTALL)
959        @list=''; test -n "$(man8dir)" || exit 0; \
960        files=`{ for i in $$list; do echo "$$i"; done; \
961        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
962          sed -n '/\.8[a-z]*$$/p'; \
963        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
964              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
965        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
966
967ID: $(am__tagged_files)
968        $(am__define_uniq_tagged_files); mkid -fID $$unique
969tags: tags-am
970TAGS: tags
971
972tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
973        set x; \
974        here=`pwd`; \
975        $(am__define_uniq_tagged_files); \
976        shift; \
977        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
978          test -n "$$unique" || unique=$$empty_fix; \
979          if test $$# -gt 0; then \
980            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
981              "$$@" $$unique; \
982          else \
983            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
984              $$unique; \
985          fi; \
986        fi
987ctags: ctags-am
988
989CTAGS: ctags
990ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
991        $(am__define_uniq_tagged_files); \
992        test -z "$(CTAGS_ARGS)$$unique" \
993          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
994             $$unique
995
996GTAGS:
997        here=`$(am__cd) $(top_builddir) && pwd` \
998          && $(am__cd) $(top_srcdir) \
999          && gtags -i $(GTAGS_ARGS) "$$here"
1000cscopelist: cscopelist-am
1001
1002cscopelist-am: $(am__tagged_files)
1003        list='$(am__tagged_files)'; \
1004        case "$(srcdir)" in \
1005          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1006          *) sdir=$(subdir)/$(srcdir) ;; \
1007        esac; \
1008        for i in $$list; do \
1009          if test -f "$$i"; then \
1010            echo "$(subdir)/$$i"; \
1011          else \
1012            echo "$$sdir/$$i"; \
1013          fi; \
1014        done >> $(top_builddir)/cscope.files
1015
1016distclean-tags:
1017        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1018
1019# Recover from deleted '.trs' file; this should ensure that
1020# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1021# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1022# to avoid problems with "make -n".
1023.log.trs:
1024        rm -f $< $@
1025        $(MAKE) $(AM_MAKEFLAGS) $<
1026
1027# Leading 'am--fnord' is there to ensure the list of targets does not
1028# expand to empty, as could happen e.g. with make check TESTS=''.
1029am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1030am--force-recheck:
1031        @:
1032
1033$(TEST_SUITE_LOG): $(TEST_LOGS)
1034        @$(am__set_TESTS_bases); \
1035        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1036        redo_bases=`for i in $$bases; do \
1037                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1038                    done`; \
1039        if test -n "$$redo_bases"; then \
1040          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1041          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1042          if $(am__make_dryrun); then :; else \
1043            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1044          fi; \
1045        fi; \
1046        if test -n "$$am__remaking_logs"; then \
1047          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1048               "recursion detected" >&2; \
1049        elif test -n "$$redo_logs"; then \
1050          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1051        fi; \
1052        if $(am__make_dryrun); then :; else \
1053          st=0;  \
1054          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1055          for i in $$redo_bases; do \
1056            test -f $$i.trs && test -r $$i.trs \
1057              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1058            test -f $$i.log && test -r $$i.log \
1059              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1060          done; \
1061          test $$st -eq 0 || exit 1; \
1062        fi
1063        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1064        ws='[   ]'; \
1065        results=`for b in $$bases; do echo $$b.trs; done`; \
1066        test -n "$$results" || results=/dev/null; \
1067        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1068        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1069        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1070        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1071        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1072        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1073        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1074        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1075          success=true; \
1076        else \
1077          success=false; \
1078        fi; \
1079        br='==================='; br=$$br$$br$$br$$br; \
1080        result_count () \
1081        { \
1082            if test x"$$1" = x"--maybe-color"; then \
1083              maybe_colorize=yes; \
1084            elif test x"$$1" = x"--no-color"; then \
1085              maybe_colorize=no; \
1086            else \
1087              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1088            fi; \
1089            shift; \
1090            desc=$$1 count=$$2; \
1091            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1092              color_start=$$3 color_end=$$std; \
1093            else \
1094              color_start= color_end=; \
1095            fi; \
1096            echo "$${color_start}# $$desc $$count$${color_end}"; \
1097        }; \
1098        create_testsuite_report () \
1099        { \
1100          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1101          result_count $$1 "PASS: " $$pass  "$$grn"; \
1102          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1103          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1104          result_count $$1 "FAIL: " $$fail  "$$red"; \
1105          result_count $$1 "XPASS:" $$xpass "$$red"; \
1106          result_count $$1 "ERROR:" $$error "$$mgn"; \
1107        }; \
1108        {                                                               \
1109          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1110            $(am__rst_title);                                           \
1111          create_testsuite_report --no-color;                           \
1112          echo;                                                         \
1113          echo ".. contents:: :depth: 2";                               \
1114          echo;                                                         \
1115          for b in $$bases; do echo $$b; done                           \
1116            | $(am__create_global_log);                                 \
1117        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1118        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1119        if $$success; then                                              \
1120          col="$$grn";                                                  \
1121         else                                                           \
1122          col="$$red";                                                  \
1123          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1124        fi;                                                             \
1125        echo "$${col}$$br$${std}";                                      \
1126        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1127        echo "$${col}$$br$${std}";                                      \
1128        create_testsuite_report --maybe-color;                          \
1129        echo "$$col$$br$$std";                                          \
1130        if $$success; then :; else                                      \
1131          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1132          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1133            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1134          fi;                                                           \
1135          echo "$$col$$br$$std";                                        \
1136        fi;                                                             \
1137        $$success || exit 1
1138
1139check-TESTS:
1140        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1141        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1142        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1143        @set +e; $(am__set_TESTS_bases); \
1144        log_list=`for i in $$bases; do echo $$i.log; done`; \
1145        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1146        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1147        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1148        exit $$?;
1149recheck: all $(check_PROGRAMS)
1150        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1151        @set +e; $(am__set_TESTS_bases); \
1152        bases=`for i in $$bases; do echo $$i; done \
1153                 | $(am__list_recheck_tests)` || exit 1; \
1154        log_list=`for i in $$bases; do echo $$i.log; done`; \
1155        log_list=`echo $$log_list`; \
1156        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1157                am__force_recheck=am--force-recheck \
1158                TEST_LOGS="$$log_list"; \
1159        exit $$?
1160testHeaders.log: testHeaders
1161        @p='testHeaders'; \
1162        b='testHeaders'; \
1163        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1164        --log-file $$b.log --trs-file $$b.trs \
1165        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1166        "$$tst" $(AM_TESTS_FD_REDIRECT)
1167.test.log:
1168        @p='$<'; \
1169        $(am__set_b); \
1170        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1171        --log-file $$b.log --trs-file $$b.trs \
1172        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1173        "$$tst" $(AM_TESTS_FD_REDIRECT)
1174@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1175@am__EXEEXT_TRUE@       @p='$<'; \
1176@am__EXEEXT_TRUE@       $(am__set_b); \
1177@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1178@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1179@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1180@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1181
1182distdir: $(DISTFILES)
1183        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1184        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1185        list='$(DISTFILES)'; \
1186          dist_files=`for file in $$list; do echo $$file; done | \
1187          sed -e "s|^$$srcdirstrip/||;t" \
1188              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1189        case $$dist_files in \
1190          */*) $(MKDIR_P) `echo "$$dist_files" | \
1191                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1192                           sort -u` ;; \
1193        esac; \
1194        for file in $$dist_files; do \
1195          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1196          if test -d $$d/$$file; then \
1197            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1198            if test -d "$(distdir)/$$file"; then \
1199              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1200            fi; \
1201            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1202              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1203              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1204            fi; \
1205            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1206          else \
1207            test -f "$(distdir)/$$file" \
1208            || cp -p $$d/$$file "$(distdir)/$$file" \
1209            || exit 1; \
1210          fi; \
1211        done
1212check-am: all-am
1213        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1214        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1215check: check-am
1216all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(MANS)
1217installdirs:
1218        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1219          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1220        done
1221install: install-am
1222install-exec: install-exec-am
1223install-data: install-data-am
1224uninstall: uninstall-am
1225
1226install-am: all-am
1227        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1228
1229installcheck: installcheck-am
1230install-strip:
1231        if test -z '$(STRIP)'; then \
1232          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1233            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1234              install; \
1235        else \
1236          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1237            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1238            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1239        fi
1240mostlyclean-generic:
1241        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1242        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1243        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1244
1245clean-generic:
1246        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1247
1248distclean-generic:
1249        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1250        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1251
1252maintainer-clean-generic:
1253        @echo "This command is intended for maintainers to use"
1254        @echo "it deletes files that may require special tools to rebuild."
1255clean: clean-am
1256
1257clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1258        clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
1259
1260distclean: distclean-am
1261        -rm -rf ./$(DEPDIR)
1262        -rm -f Makefile
1263distclean-am: clean-am distclean-compile distclean-generic \
1264        distclean-tags
1265
1266dvi: dvi-am
1267
1268dvi-am:
1269
1270html: html-am
1271
1272html-am:
1273
1274info: info-am
1275
1276info-am:
1277
1278install-data-am: install-man
1279
1280install-dvi: install-dvi-am
1281
1282install-dvi-am:
1283
1284install-exec-am: install-libexecPROGRAMS
1285
1286install-html: install-html-am
1287
1288install-html-am:
1289
1290install-info: install-info-am
1291
1292install-info-am:
1293
1294install-man: install-man8
1295
1296install-pdf: install-pdf-am
1297
1298install-pdf-am:
1299
1300install-ps: install-ps-am
1301
1302install-ps-am:
1303
1304installcheck-am:
1305
1306maintainer-clean: maintainer-clean-am
1307        -rm -rf ./$(DEPDIR)
1308        -rm -f Makefile
1309maintainer-clean-am: distclean-am maintainer-clean-generic
1310
1311mostlyclean: mostlyclean-am
1312
1313mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1314        mostlyclean-libtool
1315
1316pdf: pdf-am
1317
1318pdf-am:
1319
1320ps: ps-am
1321
1322ps-am:
1323
1324uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1325
1326uninstall-man: uninstall-man8
1327
1328.MAKE: check-am install-am install-strip
1329
1330.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1331        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1332        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1333        ctags-am distclean distclean-compile distclean-generic \
1334        distclean-libtool distclean-tags distdir dvi dvi-am html \
1335        html-am info info-am install install-am install-data \
1336        install-data-am install-dvi install-dvi-am install-exec \
1337        install-exec-am install-html install-html-am install-info \
1338        install-info-am install-libexecPROGRAMS install-man \
1339        install-man8 install-pdf install-pdf-am install-ps \
1340        install-ps-am install-strip installcheck installcheck-am \
1341        installdirs maintainer-clean maintainer-clean-generic \
1342        mostlyclean mostlyclean-compile mostlyclean-generic \
1343        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1344        uninstall uninstall-am uninstall-libexecPROGRAMS uninstall-man \
1345        uninstall-man8
1346
1347.PRECIOUS: Makefile
1348
1349
1350$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1351
1352testHeaders: $(srcdir)/*.h
1353        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1354
1355.PHONY: testHeaders
1356
1357# Tell versions [3.59,3.63) of GNU make to not export all variables.
1358# Otherwise a system limit (for SysV at least) may be exceeded.
1359.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.